org.apache.storm.scheduler

## Class SupervisorResources

- java.lang.Object
- - org.apache.storm.scheduler.SupervisorResources

-     public class SupervisorResources
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SupervisorResources(double totalMem, double totalCpu, double usedMem, double usedCpu)` Constructor for a Supervisor’s resources.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SupervisorResources` | `addMem(Double value)`
    `double` | `getAvailableCpu()`
    `double` | `getAvailableMem()`
    `double` | `getTotalCpu()`
    `double` | `getTotalMem()`
    `double` | `getUsedCpu()`
    `double` | `getUsedMem()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SupervisorResources

          public SupervisorResources(double totalMem,
                                     double totalCpu,
                                     double usedMem,
                                     double usedCpu)

      Constructor for a Supervisor’s resources.

      Parameters:
        `totalMem` - the total mem on the supervisor
        `totalCpu` - the total CPU on the supervisor
        `usedMem` - the used mem on the supervisor
        `usedCpu` - the used CPU on the supervisor

  - ### Method Detail

    - #### getUsedMem

          public double getUsedMem()

    - #### getUsedCpu

          public double getUsedCpu()

    - #### getTotalMem

          public double getTotalMem()

    - #### getTotalCpu

          public double getTotalCpu()

    - #### getAvailableCpu

          public double getAvailableCpu()

    - #### getAvailableMem

          public double getAvailableMem()

    - #### addMem

          public SupervisorResources addMem(Double value)

Copyright © 2019 The Apache Software Foundation. All rights reserved.